# Security Policy

We will support the latest stable release of `audioarxiv`. Please make sure you are using the most recent version before reporting a security issue.

| Version | Supported |
| ------- | --------- |
| 0.1.x   | ✅        |
| < 0.1   | ❌        |

## Reporting a Vulnerability

If you discover a security vulnerability in `audioarxiv`, we encourage you to report it responsibly.

**Please do not open a public issue.** Instead, contact us directly via email:

📧 [isaac.cf.wong@gmail.com](mailto:isaac.cf.wong@gmail.com)

Include as much information as possible to help us understand and reproduce the issue quickly and accurately:

- Description of the vulnerability
- Steps to reproduce
- Affected versions
- Your operating system and Python version

We aim to respond to all security-related emails within **3–5 business days**.

## Responsible Disclosure Process

1. Submit the vulnerability report via email (see above).
2. We will acknowledge receipt and begin investigation.
3. We will work on a fix and prepare a patch release.
4. Once the issue is resolved, we will publish an advisory and credit you (if desired).

## Thanks

We value the security of our users and appreciate responsible disclosures. Thank you for helping make `audioarxiv` better and safer!
